---
title: "Update a class enrollment by id"
slug: "update-a-class-enrollment-by-id"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
canonical: "docs.skillable.com/update-a-class-enrollment-by-id"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a class enrollment by id

Get/UpdateClassEnrollment/{id}

Allows you to update a class enrollment.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Path parametersidinteger (int32) Required

The ID of the class enrollment.

Example45632

Query parametersexternalIdstring

The exernal ID of the class enrollment, usually a unique identifier from the calling system

classIdinteger (int32) Required

The Id of the related class

Example10
userIdinteger (int32) Required

The Id of the related user

Example10
enrollmentStatusIdinteger (int32) Required

Indicates the status of the class enrollment

- 0 = Request
- 10 = Cancel
- 20 = Waitlist
- 30 = Approve
- 40 = Deny
- 50 = Audit
- 60 = Enroll

completionStatusIdstringRequired

Indicates the completion status of the class enrollment

- 0 = Unknown
- 10 = Attending
- 20 = Complete
- 30 = Incomplete
- 40 = NoShow
- 50 = Failed

lateCancelboolean

Indicates if the class enrollment was cancelled outside the late cancellation window

retakeboolean

Indicates if the class enrollment is a retake

LocationTypeIdinteger (int32) 

Indicates the location type that the student is assigned to attend the class

- 0 = To Be Determined
- 10 = Classroom
- 20 = Remote Classroom
- 30 = Virtual

Example10
ClassroomIdinteger (int32) 

The ID of the classroom (if any) in which the student is assigned to attend the class

Example10
HoursSpentinteger (int32) 

The hours spent by the student in the class enrollment

Example10
Gradeinteger (int32) 

The grade the student received for the class enrollment

Example10

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='48f2ffb9-4a45-4b18-b3b9-c1e0243c3704'>application/json</option>
</select>object  statusinteger  (int32)    

Indicates the status of the API request.

- 0 = Success
- 10 = Error
- 20 = Not found
- 30 = Invalid integration key

Example10
errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).
